\documentclass[a4paper,11pt]{article} 
\usepackage[T1]{fontenc} 
\usepackage[utf8]{inputenc} 
\usepackage{graphicx} 
\usepackage{amsmath} 
\usepackage{amssymb}
\usepackage{commath}
\title{Computational Finance \\ 	
\Large Worksheet 2} 
\author{Lisa Beer, Alex Dyck, Ho-Yin Leung}
\date{} 
\begin{document}
	\maketitle 	
	
	% ---------------Task 1 -------------------------
	\noindent
	\textbf{Task 1.} \\
	For $\sigma = 0.2$, one gets the value around 2.6 for the mean of the values of the call-option. Figure 1 shows the mean estimates for different values of $\sigma$. The mean increases with a higher $\sigma$. However, it seems that there is a limit for the mean since the slope decreases at the end. \\
	\begin{figure}[h]
		\centering
		\includegraphics[height=6.5cm]{graphics/s2t1.png}
		\caption{Mean estimates for Vcall for different $\sigma$.}
	\end{figure}
	\\

	% ---------------Task 2 -------------------------
	\noindent
	\textbf{Task 2.} \\
	For $\Delta t=0.2$, one gets the mean value around 2.6 and the value around 2.9 for the variance of the call-option. Considering the table 1, the variance does not depend on $\Delta t$ since there is no clear increase or decrease of the values. This result would allow us to take one single timestep $\Delta t=T$ for accurate simulation of the call-option. However, use more $\Delta t=T$ would help to make a more definite statment.\\
	\begin{table}[h]
		\centering
		\begin{tabular}{c c c}
			\hline
			$\Delta t$ & mean & variance \\ \hline
			0.4 & 2.50 & 2.80 \\
			1.0 & 2.64 & 3.04 \\
			2.0 & 2.41 & 2.97 \\
			\hline
		\end{tabular}
		\caption{Mean and variance of the call-option for different timesteps $\Delta t$.}
	\end{table}
	\newline
	\\
	
	% ---------------Task 3 -------------------------
	\noindent 	
	\textbf{Task 3.} \\ 
	We use the symmetry of the integral in the standard normal c.d.f. and the substitution rules for integration for proving the statement:
	\begin{align*}
	\mathbb{E}[V_{call}(S_T,0)]&=\frac{1}{\sqrt{2\pi}}\int_{\chi}^{\infty}\left(S(0)\exp\left((\mu-\frac{1}{2}\sigma^2)T+\sigma\sqrt{T}s\right)-K\right)e^{-\frac{s^2}{2}}\dif s \\
	&=S(0)\frac{1}{\sqrt{2\pi}}\int_{\chi}^{\infty}\exp\left((\mu-\frac{1}{2}\sigma^2)T+\sigma\sqrt{T}s\right)e^{-\frac{s^2}{2}}\dif s-\frac{1}{\sqrt{2\pi}}K\int_{\chi}^{\infty}e^{-\frac{s^2}{2}}\dif s \\
	&=S(0)\frac{1}{\sqrt{2\pi}}\int_{\chi}^{\infty}\exp\left((\mu-\frac{1}{2}\sigma^2)T+\sigma\sqrt{T}s-\frac{1}{2}s^2\right)\dif s-\frac{1}{\sqrt{2\pi}}K\int_{\chi}^{\infty}e^{-\frac{(-s)^2}{2}}\dif s \\
	&=S(0)e^{\mu T}\frac{1}{\sqrt{2\pi}}\int_{\chi}^{\infty}\exp\left(-\frac{1}{2}\sigma^2T+\sigma\sqrt{T}s-\frac{1}{2}s^2\right)\dif s-K\int_{-\infty}^{-\chi}\frac{1}{\sqrt{2\pi}}e^{-\frac{t^2}{2}}\dif t \\
	&=S(0)e^{\mu T}\frac{1}{\sqrt{2\pi}}\int_{\chi}^{\infty}\exp\left(-\frac{1}{2}(s-\sigma\sqrt{T})^2\right)\dif s-K\Phi(-\chi) \\
	&=S(0)e^{\mu T}\frac{1}{\sqrt{2\pi}}\int_{\chi-\sigma\sqrt{T}}^{\infty}\exp\left(-\frac{1}{2}t^2\right)\dif t-K\Phi(-\chi) \\
	&=S(0)e^{\mu T}\int_{\infty}^{\sigma\sqrt{T}-\chi}\frac{1}{\sqrt{2\pi}}\exp\left(-\frac{1}{2}t^2\right)\dif t-K\Phi(-\chi) \\
	&=S(0)e^{\mu T}\Phi(\sigma\sqrt{T}-\chi)-K\Phi(-\chi) \\
	\end{align*}
	
	% ---------------Task 4 -------------------------
	\noindent
	\textbf{Task 4.} \\
	Figure 2 shows a convergence plot for the expectation of the call-option at expiration date $T$. We applied the formula from task 3 for the absolute error. The error, depending on the number of simulations $N$, behaves like $N^{-0.5}$.
	\begin{figure}[h]
		\centering
		\includegraphics[height=6.5cm]{graphics/s2t4.png}
		\caption{Convergence plot for the expectation of Vcall. The expectation is estimated by the mean $\hat{m}_N$ using simulation of the call-option.}
	\end{figure}
	\newpage
	% ---------------Task 5 -------------------------
	
	\noindent
	\textbf{Task 5.} \\
	As in task 3, we use the substitution:
	\begin{align*}
	\int_{0}^{1}f\left(\Phi^{-1}(t)\right)\dif t=\int_{\Phi^{-1}(0)}^{\Phi^{-1}(1)}f(\Phi^{-1}(\Phi(s)))\Phi^\prime(s)\dif s
	\end{align*}
	Since
	\begin{align*}
	\Phi^{-1}(1)&=\inf\{\Phi(x)\ge 1\}=\infty \text{,} \\
	\Phi^{-1}(0)&=\inf\{\Phi(x)\ge 0\}=-\infty \text{,} \\
	\Phi^{-1}(\Phi(s))&=\inf\{\Phi(x)\ge \Phi(s)\}=s
	\end{align*}
	for all $s\in [0,1]$ and 
	\begin{equation*}
	\Phi^{\prime}(s)=\frac{1}{\sqrt{2\pi}} e^{-\frac{s^2}{2}}
	\end{equation*}
	we get
	\begin{equation*}
	\int_{\Phi^{-1}(0)}^{\Phi^{-1}(1)}f(\Phi^{-1}(\Phi(s)))\Phi^\prime(s)\dif s = \int_{-\infty}^{\infty}f(s) \frac{1}{\sqrt{2\pi}} e^{-\frac{s^2}{2}}\dif s
	= \frac{1}{\sqrt{2\pi}} \int_{-\infty}^{\infty}f(s)e^{-\frac{s^2}{2}}\dif s\text{.} 
	\end{equation*}
	% ---------------Task 6 -------------------------
	\newline
	\noindent
	%\iffalse
	\textbf{Task 6.} \\
	For nodes $\{x_1,x_2,\dots, x_{N_l} \}$ on level $l$, we obtain $N_{l+1} - N_l = 2^{l+1} - 2^l = 2^l$ new nodes if we go to level $l+1$. For nodes $\{y_1,y_2,\dots, y_{N_{l+1}} \}$ on level $l+1$, nodes 
	$y_i = \frac{i}{2^{l+1}} = \frac{j}{2^{l}}$ for i is even, $j\in\{1,2,\dots,N_l\}$, so we achieve a twice as fine grid. Through this, all the nodes in level $l$ are included in level $l+1$. \\
	%\fi
	
		% ---------------Task 7 -------------------------
	
	\noindent
	\textbf{Task 7.} \\
	The Gaussian quadrature rule is a quadrature rule for approximating an integral of a function $f$ in the interval $[-1,1]$.
	\begin{equation*}
	\int_{-1}^{1}f(x)dx = \int_{-1}^{1} \omega(x)g(x)dx \approx \sum_{i=1}^{n}w_ig(x_i).
	\end{equation*}
	where $\omega(x)$ is known weight function and $g(x)$ is apprroximately polynomial.
	For the Gauss-Legendre quadrature rule, the simplest Gaussian quadrature rule, $\omega(x) = 1$ so we have 
	\begin{equation*}
	\int_{-1}^{1}f(x)dx \approx \sum_{i=1}^{n}w_if(x_i).
	\end{equation*}
	Here, we have 2n free parameters $w_1,...,w_n$ and $x_1,...,x_n$. In general, 2n parameters can define a polynomial of degree $2n-1$. Thus, determine $w_1,...,w_n,x_1,...,x_n$ gives the exact value of $\int_{-1}^{1}f(x)dx$ if f is a polynomial of degree less than $2n-1$. To achieve this, choose $x_1,...,x_n$ be the roots of Legendre polynomial $P_n(x)$, then the corresponding  weight can be determined by 
	\begin{equation*}
	w_i = \frac{2}{(1-x_i^2)[P^\prime_n(x_i)]^2}.
	\end{equation*}
	Since Legendre polynomials are orthogonal in the interval $[-1,1]$, one can use common methods, such as the
	Newton`s method, to compute the nodes. An efficient method is the so-called Golub-Welsch algorithm to compute the nodes and weights of a Gaussian quadrature rule. It uses the three-term recurrence relation of the orthogonal polynomials to derive an eigenvalue problem, the nodes associated 
	with the eigenvalues and the weights with the eigenvectors of the matrix. 
	
	\noindent
	For applying the rule for an interval [a,b], the following transformation is needed:
	\begin{equation*}
	\int_{a}^{b}f(x)dx \approx \frac{b-a}{2}\sum_{i=1}^{n}w_if(\frac{b-a}{2}x_i+\frac{a+b}{2}).
	\end{equation*}
	For each level $l$ the node 0.5 is contained in our rule. The reason for this is that $N_l$ is always an odd number and it yields
	\begin{equation*}
	P_{2n+1}(0)=0
	\end{equation*}
	for all $n\in \mathbb{N}$. By the transformation, we obtain the node 0.5. \\
	
	% ---------------Task 8 -------------------------
	\newpage
	\noindent
	\textbf{Task 8.} \\
	As before, we get $2^l$ new nodes if we go from level $l$ to level $l+1$. The new nodes are given by
	\begin{equation*}
	x_i = \frac{1}{2}\left(1-\cos\frac{\pi i}{N_{l+1}+1}\right) = \frac{1}{2}\left(1-\cos\frac{\pi i}{2(N_{l}+1)}\right)
	\end{equation*}
	for $i=1,...,N_{l+1}$. Thus, we observe that all nodes in level $l$ are also contained in level $l+1$, adding an  additional node between each two old nodes. \\
	
	% ---------------Task 9 -------------------------
	\noindent
	\textbf{Task 9.} \\
	Figure 3 shows the convergence plot for integration of the function $f(x)=1+\exp(\frac{1}{2}x)$ on the interval (0,1), comparing the different quadrature rules. As expected, the Monte-Carlo rule is the worst method since it has a probabilistic rate of convergence. The error of the trapezoidal rule behaves
	like $N^{-2}$, according to our expectations. Since the integrand is $C^{\infty}$, the Clenshaw Curtis has a very high convergence rate. However,
	reaching an error of $10^{-16}$, the error does not decrease further, thus it makes no sense to use a high number of nodes (more than 100 points
	in this case) for approximating the integral. Similarly, the Gauss-Legendre rule delivers good results for 30 points and worse results for more than 30 points.
	\begin{figure}[h]
		\centering
		\includegraphics[height=6.5cm]{graphics/s2t9.png}
		\caption{Convergence plot for integration of the function $f(x)=1+\exp(\frac{1}{2}x)$ on the interval (0,1). Comparison of different quadrature rules.}
	\end{figure}
	% ---------------Task 10 -------------------------
	\newpage
	\noindent
	\textbf{Task 10.} \\
	Figure 4 shows the convergence plot for the expectation of the call-option for strike-price $K=10$ and $K=0$, comparing the different quadrature rules.
	As expected, the Monte-Carlo rule is the worst method for integration while the Clenshaw Curtis rule and the Gauss-Legendre rule are the best quadrature rules. For $K=10$, the error of both rules behave like $N^{-2}$. The error-estimate of the trapezoidal rule delivers slightly worse
	results. By comparing the convergence plots for $K=10$ and $K=0$, one can notice that all the rules have smaller
	errors for $K=0$ than for $K=10$, having the same rate of convergence. 
	\begin{figure}[h]
		\centering
		\includegraphics[width=6.2cm]{graphics/s2t10_K10.png}
		\includegraphics[width=6.2cm]{graphics/s2t10_K0.png}
		\caption{Convergence plot for the expectation of the call-option for strike-price $K=10$ (left) and $K=0$ (right). Comparison of different quadrature rules.}
	\end{figure}
	
\end{document}
